<?php
/**
 * ------------------------------------------------------------------------
 * JA Megafilter Component
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2016 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class JaMegaFilterController extends JControllerLegacy {
	
	function cron() {
		$params = JComponentHelper::getParams('com_jamegafilter');
		$uri = JUri::getInstance(); 
		$token = $uri->getVar('token');
		$curi = JUri::getInstance($params->get('cronurl'));
		$ctoken = $curi->getVar('token');
		
		if ($token != $ctoken) {
			$this->setRedirect(JUri::root());
			return;
		}
		
		JLoader::register('BaseFilterHelper', JPATH_ADMINISTRATOR.'/components/com_jamegafilter/base.php');
		JLoader::register('JaMegaFilterModelDefault', JPATH_ADMINISTRATOR . '/components/com_jamegafilter/models/default.php');
		$model = JModelLegacy::getInstance('JaMegaFilterModelDefault');
		$fids = $params->get('fids', array());
		
		
		$last_cron = $params->get('last_cron', 0);
		$next_cron = $last_cron + $params->get('time', 0);
		if ($fids && $next_cron < time()) {
			$params->set('last_cron', time());
			$db = JFactory::getDbo();
			$query = $db->getQuery(true);
			$query->update('#__extensions')
				->set($db->quoteName('params') . '=' . $db->quote($params->toString()))
				->where($db->quoteName('element') . '=' . $db->quote('com_jamegafilter'));
			$db->setQuery($query);
			$db->execute();
			
			foreach ($fids as $id) {
				$model->exportByID($id);
			}
		}
		
		die('cron done!');
	}
}